2

I downloaded the .deb file from the Steam website, but couldn't install it as it complained about having and "outdated" version of libc6. I look around and apparently I have to add jessie sources to my sources.list to make it work, and so I do. The package installs but itself is a front to install steam's dependencies. I run it, and instead of simply installing the three dependencies described (libgl1-mesa-dri:i386, libgl1-mesa-glx:i386 and libc6:i386), it instead wants to do all this:

The following packages were automatically installed and are no longer required:
  blt cups-daemon cups-server-common dconf-cli empathy-common geoclue-2.0 gir1.2-gck-1 gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0
  gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-3.0 gir1.2-notify-0.7 gnome-panel-data gnome-session-common gnome-themes-standard-data gstreamer1.0-nice
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-pulseaudio hp-ppd libarchive13 libasound2-dev libassuan0 libavahi-client-dev
  libavahi-common-dev libavcodec55 libavformat55 libbz2-1.0:i386 libcaca-dev libcamel-1.2-49 libcaribou-common libchromaprint0 libdb5.3:i386
  libdbus-1-dev libdirectfb-dev libdirectfb-extra libdrm-dev libdrm-nouveau1a libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0
  libecal-1.2-16 libedata-book-1.2-20 libedata-cal-1.2-23 libedataserver-1.2-18 libfluidsynth1 libfontembed1 libfreetype6-dev libgadu3
  libgcr-base-3-1 libgd3 libgexiv2-2 libgl1-mesa-dev libglu1-mesa-dev libgphoto2-6 libgphoto2-port10 libgrilo-0.2-1 libgstreamer-plugins-bad1.0-0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libibus-1.0-5 libical1 libinput0 libjpeg8-dev libjson0 liblzma5:i386 libmjpegutils-2.1-0
  libmozjs-24-0 libmpdec2 libmpdec2:i386 libmpeg2encpp-2.1-0 libmpg123-0 libmplex2-2.1-0 libmx-common libncursesw5:i386 libnm-gtk-common
  libopencv-core2.4 libopencv-flann2.4 libopencv-imgproc2.4 libopencv-ml2.4 libopencv-video2.4 libpackagekit-glib2-16 libpcre3-dev libpcrecpp0
  libpng12-dev libpthread-stubs0 libpthread-stubs0-dev libpython3-stdlib libpython3-stdlib:i386 libpython3.4-minimal libpython3.4-minimal:i386
  libpython3.4-stdlib libpython3.4-stdlib:i386 libqpdf13 libreadline6:i386 librtmp1 libsbc1 libslang2-dev libsqlite3-0:i386 libsrtp0
  libssl1.0.0:i386 libtbb2 libtotem-plparser18 libtracker-sparql-1.0-0 libts-dev libwayland-cursor0 libwebp5 libx11-dev libx11-doc libx11-xcb-dev
  libx264-142 libxau-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0 libxcb-randr0-dev libxcb-render0-dev
  libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxkbcommon0
  libxshmfence-dev libxxf86vm-dev mesa-common-dev pkg-config python-aptdaemon python-defer python-pkg-resources python3.4:i386
  python3.4-minimal:i386 x11proto-core-dev x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev
  x11proto-kb-dev x11proto-xext-dev x11proto-xf86vidmode-dev xorg-sgml-doctools xtrans-dev zlib1g-dev
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  bzip2 colord colord-data cups-bsd cups-client cups-common cups-daemon cups-ppdc cups-server-common cupsddk dbus-x11 dconf-cli
  dconf-gsettings-backend dconf-service empathy-common evince-common evolution-data-server-common folks-common fontconfig-config gcc-4.9-base
  gcc-4.9-base:i386 geoclue-2.0 gir1.2-atspi-2.0 gir1.2-freedesktop gir1.2-gck-1 gir1.2-gdesktopenums-3.0 gir1.2-glib-2.0
  gir1.2-gst-plugins-base-1.0 gir1.2-gstreamer-1.0 gir1.2-ibus-1.0 gir1.2-javascriptcoregtk-3.0 gir1.2-notify-0.7 gir1.2-soup-2.4
  gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0 glib-networking glib-networking-common glib-networking-services gnome-desktop3-data
  gnome-packagekit-data gnome-panel-data gnome-session-common gnome-shell-common gnome-themes-standard-data gsettings-desktop-schemas
  gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-pulseaudio gvfs gvfs-bin gvfs-common gvfs-daemons gvfs-libs init-system-helpers
  libarchive13 libassuan0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libaudit-common libaudit1 libavcodec55 libavformat55 libavutil53 libburn4
  libbz2-1.0 libc6:i386 libc6-i686:i386 libcairo-perl libcairo2 libcamel-1.2-49 libcaribou-common libcolord2 libcolorhug2 libcups2 libcupscgi1
  libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libdb5.3 libdbus-glib-1-2 libdconf1 libdjvulibre-text libdjvulibre21 libdrm-dev
  libdrm-intel1 libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1 libdrm-radeon1:i386 libdrm2 libdrm2:i386 libebackend-1.2-7
  libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16 libedata-book-1.2-20 libedata-cal-1.2-23 libedataserver-1.2-18 libegl1-mesa
  libegl1-mesa-drivers libelf1 libelf1:i386 libelfg0 libepoxy0 libevdev2 libexpat1 libexpat1:i386 libffi6 libffi6:i386 libfftw3-3 libfftw3-double3
  libfftw3-long3 libfftw3-single3 libflac8 libfolks-telepathy25 libfolks25 libfontconfig1 libfontembed1 libgbm1 libgcc1 libgcc1:i386 libgck-1-0
  libgcr-base-3-1 libgcrypt11 libgcrypt20 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgee-0.8-2 libgeocode-glib0 libgexiv2-2
  libgirepository-1.0-1 libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libglib-perl libglib2.0-0 libglib2.0-bin libglibmm-2.4-1c2a
  libgmp10 libgnomekbd-common libgnutls-deb0-28 libgomp1 libgphoto2-6 libgphoto2-port10 libgrilo-0.2-1 libgstreamer-plugins-base1.0-0
  libgstreamer1.0-0 libgtk-3-common libgutenprint2 libgweather-common libhogweed2 libhtml-parser-perl libibus-1.0-5 libical1 libicu52
  libimobiledevice4 libinput0 libjavascriptcoregtk-3.0-0 libjson-c2 liblcms2-2 libllvm3.4 libllvm3.4:i386 liblocale-gettext-perl libmagickcore5
  libmm-glib0 libmozjs-24-0 libmpdec2 libmx-common libncurses5 libncursesw5 libndp0 libnet-dbus-perl libnet-ssleay-perl libnettle4 libnl-3-200
  libnl-genl-3-200 libnl-route-3-200 libnm-glib4 libnm-gtk-common libnm-util2 libopenjpeg5 libopenvg1-mesa libopus0 liborc-0.4-0 libp11-kit0
  libpackagekit-glib2-16 libpam-systemd libparted2 libpciaccess0 libpciaccess0:i386 libpcre3 libpcre3-dev libpcrecpp0 libperl4-corelibs-perl
  libperl5.18 libpixman-1-0 libplist2 libpoppler-glib8 libpoppler46 libproxy1 libpulse-mainloop-glib0 libpulse0 libpulsedsp libpurple0
  libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib libqpdf13 libreadline6 librtmp1 libsdl1.2debian libsecret-1-0 libsecret-common
  libsocket-perl libsoundtouch0 libsoup2.4-1 libsqlite3-0 libssl1.0.0 libstdc++6 libstdc++6:i386 libswscale2 libsystemd-daemon0 libsystemd-id128-0
  libsystemd-journal0 libsystemd-login0 libtasn1-6 libtelepathy-glib0 libtelepathy-logger3 libtext-charwidth-perl libtext-iconv-perl libtiff5
  libtinfo5 libtinfo5:i386 libtotem-plparser18 libtracker-sparql-1.0-0 libtxc-dxtn-s2tc0 libtxc-dxtn-s2tc0:i386 libudev1 libudisks2-0
  libupower-glib2 libusbmuxd2 libuuid-perl libva1 libvpx1 libwacom-common libwacom2 libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa
  libwayland-server0 libwebp5 libx11-6 libx11-dev libx11-xcb-dev libx11-xcb1 libx264-142 libxatracker2 libxcb-dri2-0 libxcb-dri2-0-dev libxcb-dri3-0
  libxcb-dri3-dev libxcb-glx0 libxcb-glx0-dev libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present-dev libxcb-present0 libxcb-randr0
  libxcb-randr0-dev libxcb-render0 libxcb-render0-dev libxcb-shape0 libxcb-shape0-dev libxcb-sync-dev libxcb-sync1 libxcb-xf86dri0 libxcb-xfixes0
  libxcb-xfixes0-dev libxcb-xv0 libxcb1 libxcb1-dev libxdamage-dev libxdamage1 libxfixes-dev libxfixes3 libxi6 libxkbcommon0 libxml-parser-perl
  libxml2 libxshmfence-dev libxshmfence1 libxxf86vm-dev libxxf86vm1 libzeitgeist-2.0-0 mesa-common-dev mime-support nautilus-data network-manager
  parted perl perl-base perl-modules perlmagick policykit-1 ppp printer-driver-c2esp pulseaudio pulseaudio-module-x11 pulseaudio-utils
  python-aptdaemon python-gi python-gi-cairo systemd systemd-sysv udisks2 upower usbmuxd x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev
  x11proto-gl-dev x11proto-xf86vidmode-dev xserver-common xserver-xephyr xserver-xorg-core xserver-xorg-input-evdev xserver-xorg-input-mouse
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-ati
  xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-modesetting xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-openchrome xserver-xorg-video-r128
  xserver-xorg-video-radeon xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware zlib1g zlib1g:i386 zlib1g-dev
Suggested packages:
  bzip2-doc xpp cups-pdf lrzip glibc-doc:i386 locales:i386 libfont-freetype-perl libfftw3-bin libfftw3-dev rng-tools libgd-tools libglide3
  libglide3:i386 gnutls-bin gphoto2 gtkam grilo-plugins-0.2 gstreamer-codec-install gnome-codec-install gstreamer1.0-tools gutenprint-locales
  libdata-dump-perl libusbmuxd-tools liblcms2-utils opus-tools libparted-dev libparted-i18n libxcb-doc parted-doc perl-doc libterm-readline-gnu-perl
  libterm-readline-perl-perl make libb-lint-perl libcpanplus-dist-build-perl libcpanplus-perl libfile-checktree-perl liblog-message-simple-perl
  liblog-message-perl libobject-accessor-perl imagemagick-doc pavumeter pavucontrol paman paprefs systemd-ui xfsprogs reiserfsprogs exfat-utils
  btrfs-tools mdadm gpointing-device-settings touchfreeze xinput firmware-linux
Recommended packages:
  cups-browsed gstreamer1.0-x qpdf va-driver-all va-driver rename libarchive-extract-perl libmodule-pluggable-perl libpod-latex-perl libterm-ui-perl
  libtext-soundex-perl gdisk xserver-xorg-video-qxl
The following packages will be REMOVED:
  aisleriot alacarte aptdaemon baobab bluez-cups brasero caribou caribou-antler cheese cups dconf-tools empathy eog evince evolution
  evolution-data-server evolution-plugins evolution-webcal file-roller gcalctool gcr gdebi gdm3 gedit gedit-plugins gir1.2-caribou-1.0
  gir1.2-clutter-1.0 gir1.2-clutter-gst-1.0 gir1.2-evince-3.0 gir1.2-gcr-3 gir1.2-gkbd-3.0 gir1.2-gnomebluetooth-1.0 gir1.2-goa-1.0 gir1.2-gtk-3.0
  gir1.2-gtkclutter-1.0 gir1.2-gtksource-3.0 gir1.2-gucharmap-2.90 gir1.2-mutter-3.0 gir1.2-panelapplet-4.0 gir1.2-peas-1.0 gir1.2-rb-3.0
  gir1.2-totem-1.0 gir1.2-vte-2.90 gir1.2-webkit-3.0 gir1.2-wnck-3.0 gkbd-capplet glchess glines gnect gnibbles gnobots2 gnome gnome-applets
  gnome-bluetooth gnome-color-manager gnome-contacts gnome-control-center gnome-core gnome-dictionary gnome-disk-utility gnome-documents
  gnome-font-viewer gnome-games gnome-icon-theme gnome-icon-theme-extras gnome-icon-theme-symbolic gnome-keyring gnome-media gnome-nettool
  gnome-online-accounts gnome-orca gnome-packagekit gnome-panel gnome-power-manager gnome-screensaver gnome-screenshot gnome-session
  gnome-session-bin gnome-session-fallback gnome-settings-daemon gnome-shell gnome-shell-extensions gnome-sudoku gnome-sushi gnome-system-log
  gnome-system-monitor gnome-terminal gnome-themes-standard gnome-tweak-tool gnome-user-guide gnome-user-share gnomine gnotravex gnotski gtali
  gucharmap gvfs-backends hpijs hplip iagno idle-python3.2 idle3 libaudit0 libavahi-ui-gtk3-0 libbrasero-media3-1 libcanberra-gtk3-0
  libcanberra-gtk3-module libcaribou-gtk3-module libcaribou0 libchamplain-0.12-0 libchamplain-gtk-0.12-0 libcheese-gtk21 libcheese3 libclutter-1.0-0
  libclutter-gst-1.0-0 libclutter-gtk-1.0-0 libclutter-imcontext-0.1-0 libclutter-imcontext-0.1-bin libcluttergesture-0.0.2-0 libcupsdriver1
  libedata-book-1.2-13 libedataserverui-3.0-1 libepc-ui-1.0-3 libevdocument3-4 libevolution libevview3-3 libfolks-eds25 libgail-3-0 libgcr-3-1
  libgdict-1.0-6 libgdu-gtk0 libglib2.0-dev libgnome-bluetooth10 libgnome-desktop-3-2 libgnome-media-profiles-3.0-0 libgnomekbd7 libgoa-1.0-0
  libgtk-3-0 libgtk-3-bin libgtk-vnc-2.0-0 libgtk2-perl libgtkhtml-4.0-0 libgtkhtml-4.0-common libgtkhtml-editor-4.0-0 libgtkmm-3.0-1
  libgtksourceview-3.0-0 libgucharmap-2-90-7 libgweather-3-0 libhpmud0 libmutter0 libmx-1.0-2 libnautilus-extension1a libnm-gtk0 libpanel-applet-4-0
  libpango-perl libpeas-1.0-0 libperl5.14 libpulse-dev librhythmbox-core6 libsane-hpaio libsdl1.2-dev libseed-gtk3-0 libsnmp15 libtotem0
  libunique-3.0-0 libvte-2.90-9 libwebkitgtk-3.0-0 libwnck-3-0 libyelp0 lightsoff mahjongg metacity mousetweaks nautilus nautilus-sendto
  nautilus-sendto-empathy network-manager-gnome notification-daemon policykit-1-gnome printer-driver-gutenprint printer-driver-hpcups
  printer-driver-hpijs printer-driver-postscript-hp printer-driver-splix python-aptdaemon.gtk3widgets python3 python3-tk quadrapassel rhythmbox
  rhythmbox-plugin-cdrecorder rhythmbox-plugins rygel-preferences seahorse shotwell simple-scan software-properties-gtk sound-juicer steam-launcher
  swell-foop task-gnome-desktop task-print-server totem totem-plugins tracker-gui transmission-gtk vinagre vino xdg-user-dirs-gtk
  xserver-xorg-video-apm xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-i128 xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-sis xserver-xorg-video-tseng xserver-xorg-video-voodoo yelp zenity
The following NEW packages will be installed:
  colord-data cups-daemon cups-server-common cupsddk dconf-cli gcc-4.9-base gcc-4.9-base:i386 geoclue-2.0 gir1.2-gst-plugins-base-1.0
  gir1.2-gstreamer-1.0 gir1.2-ibus-1.0 gir1.2-notify-0.7 gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-pulseaudio
  init-system-helpers libarchive13 libassuan0 libaudit-common libaudit1 libavcodec55 libavformat55 libavutil53 libc6:i386 libc6-i686:i386
  libcamel-1.2-49 libcolord2 libcolorhug2 libdb5.3 libdconf1 libdrm-dev libdrm-intel1:i386 libdrm-nouveau2 libdrm-nouveau2:i386 libdrm-radeon1:i386
  libdrm2:i386 libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16 libedata-book-1.2-20 libedata-cal-1.2-23
  libedataserver-1.2-18 libegl1-mesa libegl1-mesa-drivers libelf1:i386 libelfg0 libepoxy0 libevdev2 libexpat1:i386 libffi6 libffi6:i386
  libfftw3-double3 libfftw3-long3 libfftw3-single3 libfontembed1 libgbm1 libgcc1:i386 libgcr-base-3-1 libgcrypt20 libgd3 libgee-0.8-2 libgexiv2-2
  libgl1-mesa-dri:i386 libgnutls-deb0-28 libgphoto2-6 libgphoto2-port10 libgrilo-0.2-1 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhogweed2
  libibus-1.0-5 libical1 libicu52 libimobiledevice4 libinput0 libjson-c2 libllvm3.4 libllvm3.4:i386 libmm-glib0 libmozjs-24-0 libmpdec2 libndp0
  libopenjpeg5 libopenvg1-mesa libpackagekit-glib2-16 libpam-systemd libparted2 libpciaccess0:i386 libperl4-corelibs-perl libperl5.18 libplist2
  libpoppler46 libproxy1 libpulsedsp libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib libqpdf13 librtmp1 libsecret-1-0 libsecret-common
  libstdc++6:i386 libsystemd-id128-0 libsystemd-journal0 libtasn1-6 libtelepathy-logger3 libtiff5 libtinfo5:i386 libtotem-plparser18
  libtracker-sparql-1.0-0 libtxc-dxtn-s2tc0 libtxc-dxtn-s2tc0:i386 libudev1 libudisks2-0 libupower-glib2 libusbmuxd2 libwayland-client0
  libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwebp5 libx11-xcb-dev libx264-142 libxatracker2 libxcb-dri2-0-dev libxcb-dri3-0
  libxcb-dri3-dev libxcb-glx0-dev libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-present-dev libxcb-present0 libxcb-randr0 libxcb-randr0-dev
  libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-sync1 libxcb-xf86dri0 libxcb-xfixes0 libxcb-xfixes0-dev libxcb-xv0 libxdamage-dev
  libxfixes-dev libxkbcommon0 libxshmfence-dev libxshmfence1 libxxf86vm-dev libzeitgeist-2.0-0 parted systemd systemd-sysv udisks2
  x11proto-damage-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-xf86vidmode-dev xserver-xorg-video-modesetting zlib1g:i386
The following packages will be upgraded:
  bzip2 colord cups-bsd cups-client cups-common cups-ppdc dbus-x11 dconf-gsettings-backend dconf-service empathy-common evince-common
  evolution-data-server-common folks-common fontconfig-config gir1.2-atspi-2.0 gir1.2-freedesktop gir1.2-gck-1 gir1.2-gdesktopenums-3.0
  gir1.2-glib-2.0 gir1.2-javascriptcoregtk-3.0 gir1.2-soup-2.4 gir1.2-telepathylogger-0.2 gir1.2-upowerglib-1.0 glib-networking
  glib-networking-common glib-networking-services gnome-desktop3-data gnome-packagekit-data gnome-panel-data gnome-session-common gnome-shell-common
  gnome-themes-standard-data gsettings-desktop-schemas gvfs gvfs-bin gvfs-common gvfs-daemons gvfs-libs libatk1.0-0 libatk1.0-data libatspi2.0-0
  libburn4 libbz2-1.0 libcairo-perl libcairo2 libcaribou-common libcups2 libcupscgi1 libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1
  libdbus-glib-1-2 libdjvulibre-text libdjvulibre21 libdrm-intel1 libdrm-radeon1 libdrm2 libelf1 libexpat1 libfftw3-3 libflac8 libfolks-telepathy25
  libfolks25 libfontconfig1 libgcc1 libgck-1-0 libgcrypt11 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgeocode-glib0 libgirepository-1.0-1
  libgl1-mesa-dev libgl1-mesa-dri libgl1-mesa-glx libglapi-mesa libglib-perl libglib2.0-0 libglib2.0-bin libglibmm-2.4-1c2a libgmp10
  libgnomekbd-common libgomp1 libgtk-3-common libgutenprint2 libgweather-common libhtml-parser-perl libjavascriptcoregtk-3.0-0 liblcms2-2
  liblocale-gettext-perl libmagickcore5 libmx-common libncurses5 libncursesw5 libnet-dbus-perl libnet-ssleay-perl libnettle4 libnl-3-200
  libnl-genl-3-200 libnl-route-3-200 libnm-glib4 libnm-gtk-common libnm-util2 libopus0 liborc-0.4-0 libp11-kit0 libpciaccess0 libpcre3 libpcre3-dev
  libpcrecpp0 libpixman-1-0 libpoppler-glib8 libpulse-mainloop-glib0 libpulse0 libpurple0 libreadline6 libsdl1.2debian libsocket-perl libsoundtouch0
  libsoup2.4-1 libsqlite3-0 libssl1.0.0 libstdc++6 libswscale2 libsystemd-daemon0 libsystemd-login0 libtelepathy-glib0 libtext-charwidth-perl
  libtext-iconv-perl libtinfo5 libuuid-perl libva1 libvpx1 libwacom-common libwacom2 libx11-6 libx11-dev libx11-xcb1 libxcb-dri2-0 libxcb-glx0
  libxcb-render0 libxcb-shape0 libxcb1 libxcb1-dev libxdamage1 libxfixes3 libxi6 libxml-parser-perl libxml2 libxxf86vm1 mesa-common-dev mime-support
  nautilus-data network-manager perl perl-base perl-modules perlmagick policykit-1 ppp printer-driver-c2esp pulseaudio pulseaudio-module-x11
  pulseaudio-utils python-aptdaemon python-gi python-gi-cairo upower usbmuxd xserver-common xserver-xephyr xserver-xorg-core
  xserver-xorg-input-evdev xserver-xorg-input-mouse xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom
  xserver-xorg-video-all xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware zlib1g zlib1g-dev
198 upgraded, 162 newly installed, 220 to remove and 916 not upgraded.
Need to get 163 MB of archives.
After this operation, 167 MB disk space will be freed.

I assume this is it wanting to upgrade to all the new Jessie stuff. I take it just letting this run will break my system? Is there any way to just install what Steam needs, or to go about installing steam some other way? (I got it working before somehow, and this is basically a fresh debian install).

0

You can use gdebi to install the Debian Steam installer made by Ghost Squad 57, available from Github. It gets around the issues raised by Valve's installer and has not encountered any issues on Wheezy.

4

Yes, you don't want to go ahead with that install. It is trying to pull a bunch of unrelated stuff. You could do a backport. The build requirements look pretty modest, so it will probably work.

apt-cache showsrc steam

has

Build-Depends: debhelper (>= 9), libxcb1, libxau6, libx11-6, libxdmcp6, python-dev

See How can I install more recent versions of software than what Debian provides?. If you want more details, please ask. I could probably provide a complete runthrough, but I don't want to bother if nobody cares.

UPDATE: Looks like this won't work, since steam wants libc 2.15.

This is hard-wired as a Build-Depends

libc6 (>= 2.15)

in the Debian package, but presumably with good reason. I see the "source" package contains a binary, so that probably explains why.

(wheezy32chroot)faheem@orwell:/usr/local/src/steam$ sudo dpkg -i steam_1.0.0.48-1_i386.deb 
Selecting previously unselected package steam.
(Reading database ... 81770 files and directories currently installed.)
Unpacking steam (from steam_1.0.0.48-1_i386.deb) ...
dpkg: dependency problems prevent configuration of steam:
 steam depends on libc6 (>= 2.15); however:
  Version of libc6:i386 on system is 2.13-38+deb7u3.

This is extremely unusual, but it is a non-free program after all.

UPDATE 2: It looks like the hardwired libc 2.15 dependency may be incorrect, since one can run the binaries shipped in the package without problems on wheezy. So I removed the 2.15 part, and the package built and installed (though I had to run the build twice for some reason; the first time it failed with some weird error about the license being rejected). However, it also needed to get a runtime dependency from http://www.deb-multimedia.org (see below). This is puzzling, because steam is available in testing, and depends on it. What is also puzzling is why steam requires these build dependencies, because it doesn't actually compile anything.

On running steam an update bar comes up, and it starts downloading updates. I wonder what that's about.

(wheezy32chroot)faheem@orwell:/usr/local/src/steam$ apt-cache policy libtxc-dxtn0
libtxc-dxtn0:
  Installed: (none)
  Candidate: 1.0.1-dmo1
  Version table:
     1.0.1-dmo1 0
          1 http://www.deb-multimedia.org/ wheezy/main i386 Packages

UPDATE 3: See, this is why I don't use non-free software. It sucks. After finishing the updates, steam produced the following message.

[2014-08-01 15:05:04] Shutdown
Running Steam on debian 7 32-bit
STEAM_RUNTIME is enabled automatically
Error: You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Error:
You are missing the following 32-bit libraries, and Steam may not run:
libc.so.6
Press enter to continue: 
Error: Couldn't find bootstrap, it's not safe to reset Steam. Please contact technical support.

I don't know what bootstrap is, but libc.so.6 is right here.

(wheezy32chroot)faheem@orwell:/usr/local/src/steam/steam-1.0.0.48$ dpkg -S libc.so.6
libc6-amd64: /lib64/libc.so.6
libc6:i386: /lib/i386-linux-gnu/libc.so.6
  • Sorry, but I can't figure out how to get this to work. I got to the point where I have to use apt-get source, but I get "Unable to find a source package for steam". (Not really surprising, it's closed-source software.) – user1149589 Jul 31 '14 at 2:57
  • The source is available, I just downloaded it, with apt-get source steam. Do you want detailed instructions? Paste the output of apt-cache policy. You are probably missing the non-free section. – Faheem Mitha Jul 31 '14 at 8:33
  • Note also that you need to build this in a i386 environment, so if you are running amd64 you will have to build this in a chroot. – Faheem Mitha Jul 31 '14 at 8:50
  • I eventually just went over to Debian 8. I accepted this answer because it did explain a lot and it doesn't look like any more are coming. The really odd thing is that this is my second time installing Debian on this computer (I reinstalled after screwing up the first), and I got Steam to work perfectly the last time on Debian 7. – user1149589 Aug 1 '14 at 12:43
  • 1
    @illuminÉ Yes, something as insane as that could very well apply here. I think the poster is probably no longer interested, but a reasonable next step if one was to follow up on this, would be to contact the Debian maintainers and/or upstream. – Faheem Mitha Aug 2 '14 at 0:07

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.